
<!-- /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
	La Brigade Chimérique
	Version 1.0.0
	Février 2011
	Neural Noise
		/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// -->
<?xml version="1.0" encoding="iso-8859-1"?>
<root version="2.0">
	<windowclass name="feuillepersonnage_humain">
		<frame name="generique_feuillepersonnage_humain" />
		<datasource name="feuillepersonnage" />
		<placement>
			<size>
				<width>408</width>
				<height>576</height>
			</size>
			<position>
				<x>415</x>
				<y>450</y>
			</position>
		</placement>
		
		<sheetdata>
			
<!-- Nom, surnom & motivation -->

			<stringfield name="name" >
				<bounds rect="134,26,232,20" />
			</stringfield>

			<stringfield name="surnom" >
				<bounds rect="79,51,289,20" />
			</stringfield>

			<stringfield name="motivation" >
				<bounds rect="95,76,280,20" />
			</stringfield>
			
			<stringfield name="motivation2" >
				<bounds rect="15,101,362,20" />
			</stringfield>

<!-- Affinités -->

			<windowlist name="ListeAffinites">
				<bounds rect="15,150,177,80" />
				<!-- <frame name="frameFondBleu" /> -->
				<datasource>.ListeAffinites</datasource>
				<class>ITEM_ListeAffinites</class>
				<allowcreate />
				<allowdelete />
				<script>
					function onSortCompare(w1, w2)
						local name1 = string.lower(w1.Affinites.getValue());
						local name2 = string.lower(w2.Affinites.getValue());

						--[[Champ1 Vide]]
						if name1 == "" then							
							return true;
						--[[Champ2 Vide]]
						elseif name2 == "" then							
							return false;
						--[[Les 2 Champs sont pleins]]
						else
							return name1 > name2;
						end
					end

					function onListRearranged(listchanged)
						local containermapping = {};

						for k, w in ipairs(getWindows()) do
							local entry = {};
							entry.name = w.Affinites.getValue();
							entry.window = w;
							table.insert(containermapping, entry);
						end	
					end
				</script>
			</windowlist>
			
			<scrollercontrol>
				<anchored>
					<to>ListeAffinites</to>
					<position>below</position>
					<size>
						<width>45</width>
						<height>27</height>
					</size>
				</anchored>
				<target>ListeAffinites</target>
				<button>
					<normal>button_scroller</normal>
					<pressed>button_scroller_down</pressed>
				</button>
			</scrollercontrol>

<!-- Alliances -->

			<windowlist name="ListeAlliances">
				<bounds rect="200,150,177,80" />
				<!-- <frame name="frameFondBleu" /> -->
				<datasource>.ListeAlliances</datasource>
				<class>ITEM_ListeAlliances</class>
				<allowcreate />
				<allowdelete />
				<script>
					function onSortCompare(w1, w2)
						local name1 = string.lower(w1.Alliances.getValue());
						local name2 = string.lower(w2.Alliances.getValue());

						--[[Champ1 Vide]]
						if name1 == "" then							
							return true;
						--[[Champ2 Vide]]
						elseif name2 == "" then							
							return false;
						--[[Les 2 Champs sont pleins]]
						else
							return name1 > name2;
						end
					end

					function onListRearranged(listchanged)
						local containermapping = {};

						for k, w in ipairs(getWindows()) do
							local entry = {};
							entry.name = w.Alliances.getValue();
							entry.window = w;
							table.insert(containermapping, entry);
						end	
					end
				</script>
			</windowlist>
			
			<scrollercontrol>
				<anchored>
					<to>ListeAlliances</to>
					<position>belowright</position>
					<size>
						<width>45</width>
						<height>27</height>
					</size>
				</anchored>
				<target>ListeAlliances</target>
				<button>
					<normal>button_scroller</normal>
					<pressed>button_scroller_down</pressed>
				</button>
			</scrollercontrol>		

<!-- Prestesse -->
			
			<numberfield name="Prestesse_valeur" source="Attributs.prestesse">				
				<bounds rect="103,270,22,20" />
				<font name="sheetnumbersmall" />						
				<tooltip text="Prestesse" />				
				<description text="Prestesse"/>	
				<noreset />
				<script>
					function onInit()
						if getValue() &lt; 0 then
							setValue(0);
						elseif getValue() &gt; 6 then
							setValue(6);
						end
					end
								
					function onValueChanged()
						if getValue() &lt; 0 then
							setValue(0);
						elseif getValue() &gt; 6 then
							setValue(6);
						end
					end
				</script>
			</numberfield>

<!-- Robustesse -->
			
			<numberfield name="Robustesse_valeur" source="Attributs.robustesse">				
				<bounds rect="239,270,22,20" />
				<font name="sheetnumbersmall" />						
				<tooltip text="Robustesse" />				
				<description text="Robustesse"/>
				<noreset />
				<script>
					function onInit()
						if getValue() &lt; 0 then
							setValue(0);
						elseif getValue() &gt; 6 then
							setValue(6);
						end
					end
								
					function onValueChanged()
						if getValue() &lt; 0 then
							setValue(0);
						elseif getValue() &gt; 6 then
							setValue(6);
						end
					end
				</script>
			</numberfield>

<!-- Ténacité -->
			
			<numberfield name="Ténacité_valeur" source="Attributs.ténacité">				
				<bounds rect="354,270,22,20" />
				<font name="sheetnumbersmall" />						
				<tooltip text="Ténacité" />				
				<description text="Ténacité"/>	
				<noreset />
				<script>
					function onInit()
						if getValue() &lt; 0 then
							setValue(0);
						elseif getValue() &gt; 6 then
							setValue(6);
						end
					end
								
					function onValueChanged()
						if getValue() &lt; 0 then
							setValue(0);
						elseif getValue() &gt; 6 then
							setValue(6);
						end
					end
				</script>
			</numberfield>

<!-- Cognition -->
			
			<numberfield name="Cognition_valeur" source="Attributs.cognition">				
				<bounds rect="95,296,22,20" />
				<font name="sheetnumbersmall" />						
				<tooltip text="Cognition" />				
				<description text="Cognition"/>	
				<noreset />
				<script>
					function onInit()
						if getValue() &lt; 0 then
							setValue(0);
						elseif getValue() &gt; 6 then
							setValue(6);
						end
					end
								
					function onValueChanged()
						if getValue() &lt; 0 then
							setValue(0);
						elseif getValue() &gt; 6 then
							setValue(6);
						end
					end
				</script>
			</numberfield>

<!-- Allure -->
			
			<numberfield name="Allure_valeur" source="Attributs.allure">				
				<bounds rect="210,296,22,20" />
				<font name="sheetnumbersmall" />						
				<tooltip text="Allure" />				
				<description text="Allure"/>	
				<noreset />
				<script>
					function onInit()
						if getValue() &lt; 0 then
							setValue(0);
						elseif getValue() &gt; 6 then
							setValue(6);
						end
					end
								
					function onValueChanged()
						if getValue() &lt; 0 then
							setValue(0);
						elseif getValue() &gt; 6 then
							setValue(6);
						end
					end
				</script>
			</numberfield>

<!-- Sensibilité -->
			
			<numberfield name="Sensibilité_valeur" source="Attributs.sensibilité">				
				<bounds rect="354,296,22,20" />
				<font name="sheetnumbersmall" />						
				<tooltip text="Sensibilité" />				
				<description text="Sensibilité"/>
				<noreset />
				<script>
					function onInit()
						if getValue() &lt; 0 then
							setValue(0);
						elseif getValue() &gt; 6 then
							setValue(6);
						end
					end
								
					function onValueChanged()
						if getValue() &lt; 0 then
							setValue(0);
						elseif getValue() &gt; 6 then
							setValue(6);
						end
					end
				</script>
			</numberfield>

<!-- Profils -->

			<windowlist name="ListeProfils">
				<bounds rect="17,355,180,118" />
				<!-- <frame name="frameFondBleu" /> -->
				<datasource>.ListeProfils</datasource>
				<class>ITEM_ListeProfils</class>
				<allowcreate />
				<allowdelete />
				<skipempty />
				<script>
				function onSortCompare(w1, w2)
						local name1 = string.lower(w1.Profils.getValue());
						local name2 = string.lower(w2.Profils.getValue());

						--[[Champ1 Vide]]
						if name1 == "" then							
							return true;
						--[[Champ2 Vide]]
						elseif name2 == "" then							
							return false;
						--[[Les 2 Champs sont pleins]]
						else
							return name1 > name2;
						end
					end

					function onListRearranged(listchanged)
						local containermapping = {};

						for k, w in ipairs(getWindows()) do
							local entry = {};
							entry.name = w.Profils.getValue();
							entry.window = w;
							table.insert(containermapping, entry);
						end	
					end
				</script>
			</windowlist>
			
			<scrollercontrol>
				<anchored>
					<to>ListeProfils</to>
					<position>below</position>
					<size>
						<width>45</width>
						<height>27</height>
					</size>
				</anchored>
				<target>ListeProfils</target>
				<button>
					<normal>button_scroller</normal>
					<pressed>button_scroller_down</pressed>
				</button>
			</scrollercontrol>

<!-- Passe Temps -->

			<windowlist name="ListePassetemps">
				<bounds rect="17,490,180,60" />
				<!-- <frame name="frameFondBleu" /> -->
				<datasource>.ListePassetemps</datasource>
				<class>ITEM_ListePassetemps</class>
				<allowcreate />
				<allowdelete />
				<skipempty />
				<script>
				function onSortCompare(w1, w2)
						local name1 = string.lower(w1.Passetemps.getValue());
						local name2 = string.lower(w2.Passetemps.getValue());

						--[[Champ1 Vide]]
						if name1 == "" then							
							return true;
						--[[Champ2 Vide]]
						elseif name2 == "" then							
							return false;
						--[[Les 2 Champs sont pleins]]
						else
							return name1 > name2;
						end
					end

					function onListRearranged(listchanged)
						local containermapping = {};

						for k, w in ipairs(getWindows()) do
							local entry = {};
							entry.name = w.Passetemps.getValue();
							entry.window = w;
							table.insert(containermapping, entry);
						end	
					end
				</script>
			</windowlist>
			
			<scrollercontrol>
				<anchored>
					<to>ListePassetemps</to>
					<position>below</position>
					<size>
						<width>45</width>
						<height>27</height>
					</size>
				</anchored>
				<target>ListePassetemps</target>
				<button>
					<normal>button_scroller</normal>
					<pressed>button_scroller_down</pressed>
				</button>
			</scrollercontrol>
			
<!-- Faits positif -->

			<windowlist name="ListeFaitsPositif">
				<bounds rect="201,366,175,80" />
				<!-- <frame name="frameFondBleu" /> -->
				<datasource>.ListeFaitsPositif</datasource>
				<class>ITEM_ListeFaitsPositif</class>
				<allowcreate />
				<allowdelete />
				<script>
					function onSortCompare(w1, w2)
						local name1 = string.lower(w1.FaitsPositif.getValue());
						local name2 = string.lower(w2.FaitsPositif.getValue());

						--[[Champ1 Vide]]
						if name1 == "" then							
							return true;
						--[[Champ2 Vide]]
						elseif name2 == "" then							
							return false;
						--[[Les 2 Champs sont pleins]]
						else
							return name1 > name2;
						end
					end

					function onListRearranged(listchanged)
						local containermapping = {};

						for k, w in ipairs(getWindows()) do
							local entry = {};
							entry.name = w.FaitsPositif.getValue();
							entry.window = w;
							table.insert(containermapping, entry);
						end	
					end
				</script>
			</windowlist>
			
			<scrollercontrol>
				<anchored>
					<to>ListeFaitsPositif</to>
					<position>belowright</position>
					<size>
						<width>45</width>
						<height>27</height>
					</size>
				</anchored>
				<target>ListeFaitsPositif</target>
				<button>
					<normal>button_scroller</normal>
					<pressed>button_scroller_down</pressed>
				</button>
			</scrollercontrol>	

<!-- Faits négatif -->

			<windowlist name="ListeFaitsNegatif">
				<bounds rect="201,465,175,80" />
				<!-- <frame name="frameFondBleu" /> -->
				<datasource>.ListeFaitsNegatif</datasource>
				<class>ITEM_ListeFaitsNegatif</class>
				<allowcreate />
				<allowdelete />
				<script>
					function onSortCompare(w1, w2)
						local name1 = string.lower(w1.FaitsNegatif.getValue());
						local name2 = string.lower(w2.FaitsNegatif.getValue());

						--[[Champ1 Vide]]
						if name1 == "" then							
							return true;
						--[[Champ2 Vide]]
						elseif name2 == "" then							
							return false;
						--[[Les 2 Champs sont pleins]]
						else
							return name1 > name2;
						end
					end

					function onListRearranged(listchanged)
						local containermapping = {};

						for k, w in ipairs(getWindows()) do
							local entry = {};
							entry.name = w.FaitsNegatif.getValue();
							entry.window = w;
							table.insert(containermapping, entry);
						end	
					end
				</script>
			</windowlist>
			
			<scrollercontrol>
				<anchored>
					<to>ListeFaitsNegatif</to>
					<position>belowright</position>
					<size>
						<width>45</width>
						<height>27</height>
					</size>
				</anchored>
				<target>ListeFaitsNegatif</target>
				<button>
					<normal>button_scroller</normal>
					<pressed>button_scroller_down</pressed>
				</button>
			</scrollercontrol>	





			
			</sheetdata>
		</windowclass>
		
		
		
	<!--===========================================================================================-->
	<windowclass name="ITEM_ListeAffinites">
		
		<sizelimits>
			<minimum>
				<height>10</height>
			</minimum>
		</sizelimits>
	
		<sheetdata>			
			<!----------------------------------- Affinites -->
			<textlistitemvalue name="Affinites">
				<anchored>
					<left>
						<anchor>left</anchor>
					</left>
					<right>
						<anchor>right</anchor>
						<offset>-10</offset>
					</right>
					<top>
						<anchor>top</anchor>
					</top>
				</anchored>
			</textlistitemvalue>						
		</sheetdata>
	</windowclass>			
			
	<!--===========================================================================================-->
	<windowclass name="ITEM_ListeAlliances">
		
		<sizelimits>
			<minimum>
				<height>10</height>
			</minimum>
		</sizelimits>
	
		<sheetdata>			
			<!----------------------------------- Alliances -->
			<textlistitemvalue name="Alliances">
				<anchored>
					<left>
						<anchor>left</anchor>
					</left>
					<right>
						<anchor>right</anchor>
						<offset>-10</offset>
					</right>
					<top>
						<anchor>top</anchor>
					</top>
				</anchored>
			</textlistitemvalue>						
		</sheetdata>
	</windowclass>						
			
	<!--===========================================================================================-->
	<windowclass name="ITEM_ListeProfils">
		
		<sizelimits>
			<minimum>
				<height>10</height>
			</minimum>
		</sizelimits>
	
		<sheetdata>			
			<!----------------------------------- Profils -->
			<textlistitemvalue name="Profils">
				<anchored>
					<left>
						<anchor>left</anchor>
					</left>
					<right>
						<anchor>right</anchor>
						<offset>-30</offset>
					</right>
					<top>
						<anchor>top</anchor>
					</top>
				</anchored>
			</textlistitemvalue>										
			
			<!----------------------------------- Valeurs Profils -->
			<numberfield name="Profils_valeur" source="Valeurs.profils">
			<noreset />
				<anchored>
					<left>
						<parent>Profils</parent>
						<anchor>right</anchor>
						<offset>2</offset>
					</left>					
					<top>
						<anchor>top</anchor>
					</top>
					<right>
						<anchor>right</anchor>
						<offset>-5</offset>
					</right>
				</anchored>
				
				<font name="sheetnumbersmall" />
				<script>
					function onInit()
						if getValue() &lt; 0 then
							setValue(0);
						elseif getValue() &gt; 6 then
							setValue(6);
						end
					end
								
					function onValueChanged()
						if getValue() &lt; 0 then
							setValue(0);
						elseif getValue() &gt; 6 then
							setValue(6);
						end
					end
				</script>
			</numberfield>		
			</sheetdata>
	</windowclass>	

	<!--===========================================================================================-->
	<windowclass name="ITEM_ListePassetemps">
		
		<sizelimits>
			<minimum>
				<height>10</height>
			</minimum>
		</sizelimits>
	
		<sheetdata>			
			<!----------------------------------- Passe temps -->
			<textlistitemvalue name="Passetemps">
				<anchored>
					<left>
						<anchor>left</anchor>
					</left>
					<right>
						<anchor>right</anchor>
						<offset>-30</offset>
					</right>
					<top>
						<anchor>top</anchor>
					</top>
				</anchored>
			</textlistitemvalue>										
			
			<!----------------------------------- Valeurs Passe temps -->
			<numberfield name="Passtemps_valeur" source="Valeurs.passetemps">
			<noreset />
				<anchored>
					<left>
						<parent>Passetemps</parent>
						<anchor>right</anchor>
						<offset>2</offset>
					</left>					
					<top>
						<anchor>top</anchor>
					</top>
					<right>
						<anchor>right</anchor>
						<offset>-5</offset>
					</right>
				</anchored>
				
				<font name="sheetnumbersmall" />
				<script>
					function onInit()
						if getValue() &lt; 0 then
							setValue(0);
						elseif getValue() &gt; 6 then
							setValue(6);
						end
					end
								
					function onValueChanged()
						if getValue() &lt; 0 then
							setValue(0);
						elseif getValue() &gt; 6 then
							setValue(6);
						end
					end
				</script>
			</numberfield>		
			</sheetdata>
	</windowclass>	
	
	<!--===========================================================================================-->
	<windowclass name="ITEM_ListeFaitsPositif">
		
		<sizelimits>
			<minimum>
				<height>10</height>
			</minimum>
		</sizelimits>
	
		<sheetdata>			
			<!----------------------------------- FaitsPositif -->
			<textlistitemvalue name="FaitsPositif">
				<anchored>
					<left>
						<anchor>left</anchor>
					</left>
					<right>
						<anchor>right</anchor>
						<offset>0</offset>
					</right>
					<top>
						<anchor>top</anchor>
					</top>
				</anchored>
			</textlistitemvalue>						
		</sheetdata>
	</windowclass>				

	<!--===========================================================================================-->
	<windowclass name="ITEM_ListeFaitsNegatif">
		
		<sizelimits>
			<minimum>
				<height>10</height>
			</minimum>
		</sizelimits>
	
		<sheetdata>			
			<!----------------------------------- FaitsNégatif -->
			<textlistitemvalue name="FaitsNegatif">
				<anchored>
					<left>
						<anchor>left</anchor>
					</left>
					<right>
						<anchor>right</anchor>
						<offset>0</offset>
					</right>
					<top>
						<anchor>top</anchor>
					</top>
				</anchored>
			</textlistitemvalue>						
		</sheetdata>
	</windowclass>

	</root>